Python
import requests
url = "https://app.langwatch.ai/api/prompts/{id}/tags/{tag}"
payload = { "versionId": "<string>" }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({versionId: '<string>'})
};
fetch('https://app.langwatch.ai/api/prompts/{id}/tags/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://app.langwatch.ai/api/prompts/{id}/tags/{tag} \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"versionId": "<string>"
}
'{
"configId": "<string>",
"versionId": "<string>",
"tag": "<string>",
"updatedAt": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Prompts
Assign a tag
Assign a tag (e.g. “production”, “staging”) to a specific prompt version
PUT
/
api
/
prompts
/
{id}
/
tags
/
{tag}
Python
import requests
url = "https://app.langwatch.ai/api/prompts/{id}/tags/{tag}"
payload = { "versionId": "<string>" }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({versionId: '<string>'})
};
fetch('https://app.langwatch.ai/api/prompts/{id}/tags/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://app.langwatch.ai/api/prompts/{id}/tags/{tag} \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"versionId": "<string>"
}
'{
"configId": "<string>",
"versionId": "<string>",
"tag": "<string>",
"updatedAt": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
The tag to assign (e.g., "production", "staging", or a custom tag)
Body
application/json
Was this page helpful?
⌘I